# Uses of Class
jdk.incubator.foreign.ValueLayout.OfBoolean

Packages that use ValueLayout.OfBoolean
Package
Description
jdk.incubator.foreign
Classes to support low-level and efficient foreign memory/function access, directly from Java.

## Uses of ValueLayout.OfBoolean in jdk.incubator.foreign

Fields in jdk.incubator.foreign declared as ValueLayout.OfBoolean
Modifier and Type
Field
Description
`static final ValueLayout.OfBoolean`
ValueLayout.`JAVA_BOOLEAN`
A value layout constant whose size is the same as that of a Java `boolean`, bit alignment set to 8, and byte order set to `ByteOrder.nativeOrder()`.
Methods in jdk.incubator.foreign that return ValueLayout.OfBoolean
Modifier and Type
Method
Description
`ValueLayout.OfBoolean`
ValueLayout.OfBoolean.`withBitAlignment(long alignmentBits)`
`ValueLayout.OfBoolean`
ValueLayout.OfBoolean.`withName(String name)`
`ValueLayout.OfBoolean`
ValueLayout.OfBoolean.`withOrder(ByteOrder order)`
Methods in jdk.incubator.foreign with parameters of type ValueLayout.OfBoolean
Modifier and Type
Method
Description
`boolean`
MemoryAddress.`get(ValueLayout.OfBoolean layout, long offset)`
Reads a boolean from this address and offset with given layout.
`default boolean`
MemorySegment.`get(ValueLayout.OfBoolean layout, long offset)`
Reads a boolean from this segment and offset with given layout.
`void`
MemoryAddress.`set(ValueLayout.OfBoolean layout, long offset, boolean value)`
Writes a boolean to this address instance and offset with given layout.
`default void`
MemorySegment.`set(ValueLayout.OfBoolean layout, long offset, boolean value)`
Writes a boolean to this segment and offset with given layout.